package classes.holonControlUnit.messages;

import java.util.ArrayList;

import classes.Flexibility;
import classes.holonControlUnit.OptimizationManager;
import classes.holonControlUnit.OptimizationManager.OptimizationScheme;

public class OrderMsg {

	private float desiredPowerUsage;
//	private ArrayList<Flexibility> flexibilitiesToApply;
	private OptimizationManager.OptimizationScheme optSheme;
	private int timeStep;
	
	public OrderMsg(float desiredPowerUsage, ArrayList<Flexibility> flexibilitiesToApply, OptimizationScheme optSheme, int timeStep) {
		super();
		this.desiredPowerUsage = desiredPowerUsage;
		this.optSheme = optSheme;
		this.timeStep = timeStep;
	}

	@Override
	public String toString() {
		return "OrderMsg [desiredPowerUsage=" + desiredPowerUsage + ", optSheme=" + optSheme + ", timeStep=" + timeStep
				+ "]";
	}

	public float getDesiredPowerUsage() {
		return desiredPowerUsage;
	}

	public OptimizationManager.OptimizationScheme getOptSheme() {
		return optSheme;
	}

	public int getTimeStep() {
		return timeStep;
	}
}
